celery (5.6.2-3) unstable; urgency=medium

  * Team upload.
  * Remove unused (build-)dependency on python3-pyparsing.

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Feb 2026 18:00:46 +0000

celery (5.6.2-2) unstable; urgency=medium

  * Team upload.
  * Make tests compatible with pymongo >= 4.16 (closes: #1126198).

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Jan 2026 12:24:37 +0000

celery (5.6.2-1) unstable; urgency=low

  * New upstream version 5.6.2
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Jan 2026 19:40:24 +0000

celery (5.6.1-1) unstable; urgency=low

  * New upstream version 5.6.1
  * Drop patches now applied by upstream.
  * Update year in d/copyright.
  * Update privacy patch.
  * Set source Priority to optional.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Jan 2026 11:37:13 +0000

celery (5.6.0-3) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * Drop dependency on to-be-removed python3-pytest-subtests
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Salsa CI: disable useless ALL/ANY jobs

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Dec 2025 14:04:57 +0100

celery (5.6.0-2) unstable; urgency=medium

  * Team upload.
  * Clean up after test_with_autoscaler_file_descriptor_safety more effectively.

 -- Colin Watson <cjwatson@debian.org>  Tue, 23 Dec 2025 12:20:15 +0000

celery (5.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop importing pytest_subtests (closes: #1123105).
  * Only use exceptiongroup backport for Python < 3.11.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Dec 2025 16:56:08 +0000

celery (5.5.3-4) unstable; urgency=medium

  * Team upload.
  * Drop unused python3-pytz, this uses zoneinfo from the standard library

 -- Alexandre Detiste <tchet@debian.org>  Sun, 07 Dec 2025 20:55:23 +0100

celery (5.5.3-3) unstable; urgency=medium

  * Team upload.
  * Make tests compatible with pymongo >= 4.14 (closes: #1118419).

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Oct 2025 14:00:10 +0000

celery (5.5.3-2) unstable; urgency=medium

  * Team upload.
  * Replace transitional python3-tz dependency with python3-pytz
  * Drop "Rules-Requires-Root: no": it is the new default
  * Bump Standards-Version to 4.7.2

  [ Bas Couwenberg ]
  * vendor python3-click-plugins dependency (Closes: #1108454)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Sep 2025 14:59:31 +0200

celery (5.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2025 12:13:21 +0100

celery (5.5.2-2) unstable; urgency=medium

  * Team upload.
  * Fix typos in patch names.
  * Make wheel metadata reproducible.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 May 2025 13:23:03 +0100

celery (5.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 May 2025 11:22:54 +0100

celery (5.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Apr 2025 17:58:30 +0100

celery (5.4.0-5) unstable; urgency=medium

  * Team upload.
  * Fix tests with Click 8.2 (closes: #1098539).

 -- Colin Watson <cjwatson@debian.org>  Sat, 01 Mar 2025 20:58:45 +0000

celery (5.4.0-4) unstable; urgency=medium

  * Team upload.
  * Add python3:any dependency to celery.
  * Drop python-celery-common binary package (closes: #1038295).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Jan 2025 22:31:04 +0000

celery (5.4.0-3) unstable; urgency=medium

  * Team upload.
  * Adjust PYBUILD_AFTER_TEST to handle addition of dbm.sqlite3 in Python
    3.13 (thanks, s3v; closes: #1089102).

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Dec 2024 01:02:30 +0000

celery (5.4.0-2.1) unstable; urgency=medium

  * Team upload.
  * python3-moto is now available, depends on it & enable more tests

 -- Alexandre Detiste <tchet@debian.org>  Sun, 13 Oct 2024 17:45:09 +0200

celery (5.4.0-2) unstable; urgency=medium

  * Team upload.
  * Simplify /usr/bin/celery wrapper arrangements and drop dependency on
    python3-pkg-resources (closes: #1083331).

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Oct 2024 17:03:26 +0100

celery (5.4.0-1) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-case

  [ Jérémy Lal ]
  * New upstream version 5.4.0
  * Refresh patches
  * Ignore gcs backend (missing in debian)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 15 May 2024 12:18:17 +0200

celery (5.3.6-2) unstable; urgency=medium

  * Team upload.
  * Testsuite: autopkgtest-pkg-pybuild

 -- Jérémy Lal <kapouer@melix.org>  Fri, 08 Mar 2024 16:19:43 +0100

celery (5.3.6-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Remove useless and deprecated build-deps on python3-future and python3-mock.
  * New upstream release (closes: #1058317).

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Feb 2024 16:59:54 +0000

celery (5.3.4-2) unstable; urgency=medium

  * Add patch to satisfy assinine sphinx 7.x parsing logic for copyright year
    substitution (Closes: #1042639).

 -- Michael Fladischer <fladi@debian.org>  Tue, 31 Oct 2023 08:28:14 +0000

celery (5.3.4-1) unstable; urgency=medium

  * Use github.com in d/watch.
  * New upstream version 5.3.4
  * Refresh patches.
  * Add patch to remove dependency on tzdata.
  * Add pyproject.toml as a file to be copied before running tests.
  * Build more detailed manpages using click-man, including subcommands.
  * Build using pybuild-plugin-pyproject.
  * Add tzdata-legacy to Build-Depends, required by tests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 05 Sep 2023 20:02:19 +0000

celery (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Thu, 22 Jun 2023 08:48:47 +0000

celery (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0
  * Add python3-pytest-click to Build-Depends, required by tests.
  * Update copyright information (add Expat licence, drop PSF-2 license).
  * Refresh patches and drop upstreamed ones.
  * Remove artifacts after build-time tests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Jun 2023 19:17:23 +0000

celery (5.2.6-5) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add upstream patch to fix FTBFS with python3.11.
    (closes: #1028148)

  [ Paul Wise ]
  * debian/copyright: replace Unicode linebreaks with regular linebreaks.
  * Declare compliance with Debian Policy 4.6.2, no changes needed.
  * Drop python3-nose from build-deps, already switched to pytest
    (Closes: #1018326)
  * Correct package names listed in celery wrapper script.
  * Update broken link to daemonization docs
  * Add more upstream metadata
  * Update the homepage

 -- Paul Wise <pabs@debian.org>  Sun, 22 Jan 2023 10:48:50 +0800

celery (5.2.6-4) unstable; urgency=medium

  * Actually bump billiard dependencies to 4.0.2

 -- Paul Wise <pabs@debian.org>  Mon, 14 Nov 2022 08:43:00 +0800

celery (5.2.6-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix compatibility with billiard 4.0.2 (Closes: #1020137)

 -- Paul Wise <pabs@debian.org>  Sun, 13 Nov 2022 14:08:28 +0800

celery (5.2.6-2) unstable; urgency=medium

  * Add upstream patch to fix compatibility with billiard 4 (Closes:
    #1015028).
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Wed, 27 Jul 2022 18:57:53 +0000

celery (5.2.6-1) unstable; urgency=low

  * New upstream release.
  * Set github project as new homepage (Closes: #975386).
  * Clean up celery.egg-info/entry_points.txt to allow two builds in a
    row.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Fri, 22 Apr 2022 22:13:40 +0000

celery (5.2.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches, drop 0012-Update-test-for-the-Debian-version-of-
    pymongo.patch.
  * Disable failing mongodb test.

 -- Michael Fladischer <fladi@debian.org>  Thu, 30 Dec 2021 18:36:11 +0000

celery (5.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 27 Dec 2021 22:25:50 +0000

celery (5.2.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh and renumber patches.
  * Add python3-click-plugins to Build-Depends, required by tests.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.
  * Add python3-flaky and python3-pytest-subtests to Build-Depends.
  * Fix missing and changed paths in doc-base registration.
  * Install testfiles using d/pybuild.testfiles.
  * Configure tests using pybuild environment variables instead of
    debhelper override.
  * Update year in d/copyright.
  * Depend on python3-all for autopkgtests.
  * Add d/upstream/metadata.
  * Skip broken tests in autopkgtest.

 -- Michael Fladischer <fladi@debian.org>  Thu, 25 Nov 2021 10:48:23 +0000

celery (5.0.0-3) unstable; urgency=medium

  * Team upload.
  * d/tests/upstream: Use celery pytest plugin for autopkgtest too.
    (Closes: #972926)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 03 Nov 2020 13:08:49 +1300

celery (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * Tighten dependency on python-kombu (>= 5.0)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 26 Oct 2020 13:45:54 -0300

celery (5.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Antonio Terceiro ]
  * New upstream version 5.0.0

  [ Thomas Goirand ]
  * Add a new (build-)dependencies on:
    - python3-click-repl
    - python3-click-didyoumean
  * Min version for python3-vine is now 5.0.
  * Add build-depends:
    - python3-pytest-timeout
  * Add 0010-allow-any-version-of-pytest-timeout.patch.
  * Add 0011-remove-pytest-celery-from-test-depends.patch.
  * Add 0012-allow-any-pytest-version.patch.
  * Add a debian/salsa-ci.yml.

  [ Nicolas Dandrimont ]
  * Use celery pytest plugin for tests
  * Patch MongoDB backend test for the Debian version of pymongo.
  * Add build-dependency on python3-sphinx-click.

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 17 Oct 2020 01:31:50 +0200

celery (4.4.6-1) unstable; urgency=low

  * New upstream release (Closes: #963662).
  * Drop upstream patch 21366ffe04aeb69ea08dc5c48c3b3155eeb443b5.patch.
  * Refresh patches.
  * Clean up .pytest_cache/CACHEDIR.TAG to allow two builds in a row.
  * Add python3-future (>=0.18.0) to Build-Depends, required by tests.
  * Skip randomly failing test_worker tests.

 -- Michael Fladischer <fladi@debian.org>  Wed, 12 Aug 2020 20:08:45 +0200

celery (4.4.2-5) unstable; urgency=medium

  * Team upload.
  * Add missing Break+Replaces I forgot while doing the move.  Closes: #960506

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 19 May 2020 11:30:49 +0200

celery (4.4.2-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 12 May 2020 15:04:57 +0200

celery (4.4.2-3) experimental; urgency=medium

  * Team upload.
  * Move the "celery" script to a new "celery" binary package and turn
    python-celery-common into an empty transitional package.
  * d/control: Mark python-celery-doc as Multi-Arch:foreign.
  * Claim some copyright over debian/*.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Apr 2020 22:38:40 +0200

celery (4.4.2-2) unstable; urgency=medium

  * Team upload.
  * Add patch from upstream to fix build with the new sphinx.  Closes: #958986
  * Bump Build-Depends on python3-sphinx(-celery) to >= 2.0.0.
  * d/control:
    + Set Rules-Requires-Root:no.
    + Bump debhelper compat level to 13.
  * d/rules:
    + Move another file from override_dh_clean to d/clean.
    + Drop override_dh_install and rely on dh_fixperms to fix perms.
    + Simplify the code using the new execute_after* overrides.
    + Drop now unused variables.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 27 Apr 2020 22:23:24 +0200

celery (4.4.2-1) unstable; urgency=medium

  * Team upload

  [ Michael Fladischer ]
  * Disable PGP signature check in uscan as upstream is not providing a
    signature for current releases.
  * Refresh patches.

  [ Stefano Rivera ]
  * Set -e in autopkgtests, so all failures are caught.
  * Build-Depend on python3-boto3, python3-msgpack, python3-pymongo,
    python3-yaml for tests.
  * Patch:
    - Don't require pre-commit, it isn't in Debian.
    - Neither is moto.

  [ Håvard Flaget Aasen ]
  * New upstream version 4.4.2
    - Changes in this release closes: #952217
  * Update Standards-Version to 4.5.0
  * Update versions for build-dependencies. closes: #913047
  * Remove override_dh_installchangelogs, unneeded
  * Rebase patches
  * Remove patches
    - 0005-Disable-pytest-3.3-log-capturing-to-avoid-changing-l.patch
    - 0007-py37-skip-tests.diff
  * Add patch
    - 0011-disable-test-for-python3.8.patch
  * Remove d/upstream/signing-key.asc and d/source/include-binaries
  * Disable test from d/tests/upstream

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 25 Mar 2020 15:20:47 +0100

celery (4.2.1-5) unstable; urgency=medium

  * Team upload.
  * Fix running tests with pytest 4.
  * Don't try to run autopkgtests with Python 2.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 18:12:10 +0500

celery (4.2.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.
  * Remove unnecessary version constraint on python3-mock.
  * Remove unnecessary Break and Replaces on older packages.
  * Bump debhelper version to 12.

 -- Michael Fladischer <fladi@debian.org>  Mon, 22 Jul 2019 09:39:34 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-celery`.
